Costants.Colors (GWT Maven Archetype 1.5.0-SNAPSHOT API)
Date: 2014-06-01

org.gcube.messaging.accounting.nodeaccountingportlet.client

## Enum Costants.Colors

- java.lang.Object
- - java.lang.Enum<Costants.Colors>
  - - org.gcube.messaging.accounting.nodeaccountingportlet.client.Costants.Colors

- All Implemented Interfaces:
    Serializable, Comparable<Costants.Colors>
  Enclosing class:
    Costants

      public static enum Costants.Colors
      extends Enum<Costants.Colors>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `aqua`
    `black`
    `blue`
    `fuchsia`
    `gray`
    `green`
    `lime`
    `maroon`
    `navy`
    `olive`
    `purple`
    `red`
    `silver`
    `teal`
    `white`
    `yellow`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Costants.Colors` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Costants.Colors[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### red

          public static final Costants.Colors red

    - #### blue

          public static final Costants.Colors blue

    - #### green

          public static final Costants.Colors green

    - #### silver

          public static final Costants.Colors silver

    - #### aqua

          public static final Costants.Colors aqua

    - #### black

          public static final Costants.Colors black

    - #### fuchsia

          public static final Costants.Colors fuchsia

    - #### gray

          public static final Costants.Colors gray

    - #### lime

          public static final Costants.Colors lime

    - #### maroon

          public static final Costants.Colors maroon

    - #### navy

          public static final Costants.Colors navy

    - #### olive

          public static final Costants.Colors olive

    - #### purple

          public static final Costants.Colors purple

    - #### teal

          public static final Costants.Colors teal

    - #### white

          public static final Costants.Colors white

    - #### yellow

          public static final Costants.Colors yellow

  - ### Method Detail

    - #### values

          public static Costants.Colors[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Costants.Colors c : Costants.Colors.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Costants.Colors valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.